# Set the environment root directory
# It can be used to specify the target environment location
# e.g compiler's location. This variable is most useful when crosscompiling.
#(Should avoid spaces in the path or have to escape them)

# Unfortunately, in certain cases, Libgen causes the following error even if CMAKE_FIND_ROOT_PATH is set.
# F0563400:Cannot execute "prelnk"
# You msut set the Path environment variable to contain the CC-RX's bin folder path in the Windows' control panel.
SET(CMAKE_FIND_ROOT_PATH C:/Renesas/CS+/CC/CC-RX/V3.05.00/bin)

if (NOT CMAKE_FIND_ROOT_PATH)
message("Toolchain path not defined. Please use CMAKE_FIND_ROOT_PATH variable to set the toolchain's bin folder")
endif()

# CMake variables for compiler, assembler, native build system
# Specify the C compiler
SET(CMAKE_C_COMPILER ${CMAKE_FIND_ROOT_PATH}/ccrx.exe)
SET(CMAKE_C_COMPILER_ID CCRX)
SET(CMAKE_C_COMPILER_ID_RUN TRUE)
SET(CMAKE_C_COMPILER_FORCED TRUE)
# Specify the CPP compiler
SET(CMAKE_CXX_COMPILER ${CMAKE_FIND_ROOT_PATH}/ccrx.exe)
SET(CMAKE_CXX_COMPILER_ID CCRX)
SET(CMAKE_CXX_COMPILER_ID_RUN TRUE)
SET(CMAKE_CXX_COMPILER_FORCED TRUE)
# Specify the ASM compiler
SET(CMAKE_ASM_COMPILER ${CMAKE_FIND_ROOT_PATH}/asrx.exe)
SET(CMAKE_ASM_COMPILER_FORCED TRUE)
SET(CMAKE_LIBRARY ${CMAKE_FIND_ROOT_PATH}/lbgrx.exe)
# Specify the linker
SET(CMAKE_LINKER ${CMAKE_FIND_ROOT_PATH}/rlink.exe)
# Specify the make
# Specify the linker
# Specify the make
SET(CMAKE_CONVERTER_EXECUTABLE ${CMAKE_FIND_ROOT_PATH}/rlink.exe)
#specify X converter
